Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification API

Request to send a message to enduser device

post

This method is used by TES to request TSH to send a message on the enduser device targeting a virtual card.

Body
issuerIdstring · min: 1 · max: 16Required

The Card Issuer Identifier. Unique for each card issuer.

cardIdstring · min: 1 · max: 48Required

The Card Identifier. Unique for each card.

messageDateTimestring · date-timeRequired

Date time representing when the message has been generated.RFC3339 format. Examples:"2018-12-24T17:32:28Z""2019-10-02T10:00:00-05:00"

expirationDateTimestring · date-timeRequired

Date time representing when the message is no longer valid and should be removed.RFC3339 format. Examples:"2018-12-24T17:32:28Z""2019-10-02T10:00:00-05:00"

contentstring · min: 1 · max: 128Required

Plain text message to be displayed to the user.

allowDeepLinkbooleanRequired

A flag indicating if the message should "deep link" to the issuer's mobile application

Responses
200

sendMessage response payload

application/json
post/sendMessage
POST /tsh/ttnapi/1/0/sendMessage HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "requestHeader": {
    "requestId": "text",
    "sessionId": "text",
    "generationDateTime": "2026-01-01T00:00:00.000Z"
  },
  "issuerId": "text",
  "cardId": "text",
  "messageDateTime": "2026-01-01T00:00:00.000Z",
  "expirationDateTime": "2026-01-01T00:00:00.000Z",
  "content": "text",
  "allowDeepLink": true
}
{
  "responseHeader": {
    "responseId": "text",
    "sessionId": "text",
    "generationDateTime": "2026-01-01T00:00:00.000Z",
    "statusCode": 1,
    "statusMessage": "text"
  }
}

Last updated

Was this helpful?